# openvswitch_bridge – Manage Open vSwitch bridges

- Synopsis

- Requirements

- Parameters

- Examples

- Status

## Synopsis

- Manage Open vSwitch bridges

## Requirements

The below requirements are needed on the host that executes this module.

- ovs-vsctl

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
bridge - / required |  | Name of bridge or fake bridge to manage
external_ids - |  | A dictionary of external-ids. Omitting this parameter is a No-op. To clear all external-ids pass an empty value.

fail_mode
-

Choices:
- secure
- standalone

Set bridge fail-mode. The default value (None) is a No-op.

parent - |  | Bridge parent of the fake bridge to manage
set - |  | Run set command after bridge configuration. This parameter is non-idempotent, play will always return changed state if present

state
-

Choices:
- present ←
- absent

Whether the bridge should exist

timeout - | Default: 5 | How long to wait for ovs-vswitchd to respond
vlan - |  | The VLAN id of the fake bridge to manage (must be between 0 and 4095). This parameter is required if parent parameter is set.

## Examples

    # Create a bridge named br-int
    - openvswitch_bridge:
        bridge: br-int
        state: present

    # Create a fake bridge named br-int within br-parent on the VLAN 405
    - openvswitch_bridge:
        bridge: br-int
        parent: br-parent
        vlan: 405
        state: present

    # Create an integration bridge
    - openvswitch_bridge:
        bridge: br-int
        state: present
        fail_mode: secure
      args:
        external_ids:
          bridge-id: br-int

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- David Stygstra (@stygstra)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.